Subject: Re: [PATCH v2] can: c_can: disable one shot mode until driver is fixed

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 24 Mar 2011 12:56:19 +0100

On 03/24/2011 12:00 PM, Marc Kleine-Budde wrote:
> This patch disables the one shot mode, until the driver has been fixed and
> tested to support it.
> 
>> I'm quite sure I've seen a situation where msg_obj 17 "seemed" to be
>> pending, while msg_obj 18 and 19 already have been transmitted. But
>> in that case, I enabled ONESHOT for the can interface, which enables
>> the DA mode (automatic retransmission is disabled).
> 
> Reported-by: Jan Altenberg <[email-masked]>
> Signed-off-by: Marc Kleine-Budde <[email-masked]>
> Signed-off-by: Kurt Van Dijck <kurt.van.dijck-/[email-masked]>
> Cc: Bhupesh Sharma <[email-masked]>
Acked-by: Wolfgang Grandegger <[email-masked]>

I agree, ONESHOT mode is tricky and needs more thoughts and testing. I
remember some ugly principle problems with the MCP251x.

Wolfgang.